Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_LF_CH_Event Class Reference

Use the Leader/Follower loop to wait for one specific event in the invocation path. More...

`#include <LF_CH_Event.h>`

Inheritance diagram for TAO_LF_CH_Event:

[legend]
Collaboration diagram for TAO_LF_CH_Event:

[legend]
List of all members.

## [NOHEADER]
int | successful (void) const
int | error_detected (void) const
void | reset_state (int new_state)
| Reset the state, irrespective of the previous states.
virtual int | is_state_final (void)
| Check whether we have reached the final state..
## Public Member Functions
| TAO_LF_CH_Event (void)
| Constructor.
virtual | ~TAO_LF_CH_Event (void)
| Destructor.
## Private Member Functions
virtual void | state_changed_i (int new_state)
| Validate and change the state.
virtual void | set_state (int new_state)
| Set the state irrespective of anything.
## Private Attributes
int | prev_state_
| The previous state that the LF_CH_Event was in.

## Detailed Description

Use the Leader/Follower loop to wait for one specific event in the invocation path.

Concrete event types and manipulation class which is used for connection handling purposes.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_LF_CH_Event::TAO_LF_CH_Event | ( | void |  | ) |

| Constructor.

TAO_LF_CH_Event::~TAO_LF_CH_Event | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_LF_CH_Event::error_detected | ( | void |  | ) | const`[virtual]`

| Return 1 if an error was detected while waiting for the event Implements TAO_LF_Event.

int TAO_LF_CH_Event::is_state_final | ( | void |  | ) | `[protected, virtual]`

| Check whether we have reached the final state.. Implements TAO_LF_Event.

void TAO_LF_CH_Event::reset_state | ( | int | new_state | ) |

| Reset the state, irrespective of the previous states. Reimplemented from TAO_LF_Event.

void TAO_LF_CH_Event::set_state | ( | int | new_state | ) | `[private, virtual]`

| Set the state irrespective of anything. Reimplemented from TAO_LF_Event.

void TAO_LF_CH_Event::state_changed_i | ( | int | new_state | ) | `[private, virtual]`

| Validate and change the state. Implements TAO_LF_Event.

int TAO_LF_CH_Event::successful | ( | void |  | ) | const`[virtual]`

| Return 1 if the condition was satisfied successfully, 0 if it has not Implements TAO_LF_Event.

## Member Data Documentation

int TAO_LF_CH_Event::prev_state_`[private]`

| The previous state that the LF_CH_Event was in.

The documentation for this class was generated from the following files:

- LF_CH_Event.h
- LF_CH_Event.cpp